Skip to main content
GET
/
api2
/
v1
/
connectorAsyncTasks
Get Connector async task states.
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v1/connectorAsyncTasks \
  --header 'Authorization: <api-key>'
{
  "content": [
    {
      "dateCreated": "2023-11-07T05:31:56Z",
      "dateProcessed": "2023-11-07T05:31:56Z",
      "errorMessage": "<string>",
      "id": "<string>",
      "jobFileName": "<string>",
      "jobUid": "<string>",
      "targetLang": "<string>"
    }
  ],
  "errorCount": 123,
  "numberOfElements": 123,
  "pageNumber": 123,
  "pageSize": 123,
  "projectName": "<string>",
  "projectUid": "<string>",
  "sort": {
    "orders": [
      {
        "property": "<string>"
      }
    ]
  },
  "successCount": 123,
  "totalElements": 123,
  "totalPages": 123
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Query Parameters

projectUid
string
required

Filter by projectUid

taskType
enum<string>[]
Available options:
DOWNLOAD,
REIMPORT,
REIMPORT_TARGET,
UPLOAD
taskProcessingType
enum<string>[]
Available options:
APC,
API,
CJ,
GUI,
SUBMITTER_PORTAL
dateCreatedFrom
string

Date range from, based on dateCreated, default current time minus 24h

dateCreatedTo
string

Date range to, based on dateCreated, default current time plus 1h

pageNumber
integer<int32>
default:0

Page number, starting with 0, default 0

Required range: x >= 0
pageSize
integer<int32>
default:100

Page size, accepts values between 1 and 1000, default 100

Required range: 1 <= x <= 1000
dateProcessedFrom
string

Date range from, based on dateProcessed

dateProcessedTo
string

Date range to, based on dateProcessed

Response

OK

content
object[]
errorCount
integer<int32>

Number of tasks on this page with an error status

numberOfElements
integer<int32>
pageNumber
integer<int32>
pageSize
integer<int32>
projectName
string

Name of the project the tasks belong to

projectUid
string

UID of the project the tasks belong to

sort
object
successCount
integer<int32>

Number of tasks on this page with a successful status

totalElements
integer<int32>
totalPages
integer<int32>